Bug 736645 - VDSM - Storage: reconstructMaster on NFS takes longer than RHEVM's timeout
Summary: VDSM - Storage: reconstructMaster on NFS takes longer than RHEVM's timeout
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm
Version: 6.1
Hardware: Unspecified
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Igor Lvovsky
QA Contact: Daniel Paikov
URL:
Whiteboard: Storage
Depends On:
Blocks: 732275
TreeView+ depends on / blocked
 
Reported: 2011-09-08 10:51 UTC by Daniel Paikov
Modified: 2013-07-04 07:50 UTC (History)
7 users (show)

Fixed In Version: vdsm-4.9-100
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-06 07:28:19 UTC


Attachments (Terms of Use)
vdsm.log (917.07 KB, application/x-gzip)
2011-09-08 10:51 UTC, Daniel Paikov
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:1782 normal SHIPPED_LIVE new packages: vdsm 2011-12-06 11:55:51 UTC

Description Daniel Paikov 2011-09-08 10:51:18 UTC
Created attachment 522092 [details]
vdsm.log

* Only host in DC with 2 NFS storage domains.
* Block master domain with iptables.
* Reconstruct on the 2nd domain fails, even though it's still reachable.

Thread-372::ERROR::2011-09-08 16:42:20,505::dispatcher::106::Storage.Dispatcher.Protect::(run) 'masterValidate'
Thread-372::ERROR::2011-09-08 16:42:20,505::dispatcher::107::Storage.Dispatcher.Protect::(run) Traceback (most recent call last):
  File "/usr/share/vdsm/storage/dispatcher.py", line 96, in run
    result = ctask.prepare(self.func, *args, **kwargs)
  File "/usr/share/vdsm/storage/task.py", line 1184, in prepare
    raise self.error
KeyError: 'masterValidate'

Comment 3 Daniel Paikov 2011-09-14 09:20:14 UTC
The problem seems to be that reconstructMaster on the VDSM side takes over 3 minutes, which causes RHEVM to time out and to think that the reconstruct failed.

Comment 4 Daniel Paikov 2011-09-14 11:06:50 UTC
Checked on 4.9-100.

Comment 5 errata-xmlrpc 2011-12-06 07:28:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2011-1782.html


Note You need to log in before you can comment on or make changes to this bug.